/*
 *   Mylyn Connector for Serena Business Mashups
 * 	 Copyright 2010 Brian Rosenberger (Brutex Network)
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 * 
 *   Serena, TeamTrack and Serena Business Mashup are 
 * 	 registered trademarks of SERENA Software Inc.
 */
package net.brutex.mylyn.sbmconnector.core.model;

public enum SBMFieldTypes {
		UNKNOWN("UNKNOWN"),
	    NUMERIC("NUMERIC"),
	    TEXT("TEXT"),
	    DATETIME("DATETIME"),
	    SELECTION("SELECTION"),
	    BINARY("BINARY"),
	    STATE("STATE"),
	    USER("USER"),
	    PROJECT("PROJECT"),
	    SUMMATION("SUMMATION"),
	    MULTIPLE_SELECTION("MULTIPLE-SELECTION"),
	    CONTACT("CONTACT"),
	    INCIDENT("INCIDENT"),
	    FOLDER("FOLDER"),
	    RELATIONAL("RELATIONAL"),
	    SUBRELATIONAL("SUBRELATIONAL"),
	    SYSTEM("SYSTEM"),
	    MULTIPLE_RELATIONAL("MULTIPLE-RELATIONAL"),
	    MULTIPLE_GROUP("MULTIPLE-GROUP"),
	    MULTIPLE_USERGROUP("MULTIPLE-USERGROUP");

		private final String value;

	    SBMFieldTypes(String v) {
	        value = v;
	    }
	    
	    public String getValue() {
	    	return value;
	    }

	    public static SBMFieldTypes fromValue(String v) {
	        for (SBMFieldTypes c: SBMFieldTypes.values()) {
	            if (c.value.equals(v)) {
	                return c;
	            }
	        }
	        throw new IllegalArgumentException(v);
	    }

}
